3 if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
4 shopt -s inherit_errexit
2>/dev
/null ||
: # ignore fail in bash < 4.4
6 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
9 if [[ ! -d ~
/eggdrop-src
]]; then
15 newest_tag
=$
(git tag |
grep ^v|
sort -Vr|
head -n1)
17 this_tag
=$
(git describe
--tags)
19 if [[ $newest_tag == "$this_tag" ]]; then
25 git checkout
-q $newest_tag
31 systemctl
--user stop fsysbot
33 systemctl
--user start fsysbot